DROP DATABASE IF EXISTS PUF;

CREATE DATABASE PUF;

USE PUF;

GRANT ALL PRIVILEGES ON PUF.* TO 'gilles'@'localhost' IDENTIFIED BY 'INFOH303';

CREATE TABLE U (
  NU int(11) NOT NULL default '0',
  NomU varchar(20) NOT NULL default '',
  Ville varchar(20) NOT NULL default '',
  PRIMARY KEY  (NU)
);

CREATE TABLE F (
  NF int(11) NOT NULL default '0',
  NomF varchar(20) NOT NULL default '',
  Statut varchar(20) NOT NULL default '',
  Ville varchar(20) NOT NULL default '',
  PRIMARY KEY  (NF)
);
CREATE TABLE P (
  NP int(11) NOT NULL default '0',
  NomP varchar(20) NOT NULL default '',
  Couleur varchar(20) NOT NULL default '',
  Poids int(11) NOT NULL default '0',
  PRIMARY KEY  (NP)
);
CREATE TABLE PUF (
  NP int(11) NOT NULL default '0',
  NU int(11) NOT NULL default '0',
  NF int(11) NOT NULL default '0',
  Quantité int(11) NOT NULL default '0',
  PRIMARY KEY  (NP,NU,NF),
  CONSTRAINT foreign key (NP) references P(NP),
  CONSTRAINT foreign key (NU) references U(NU),
  CONSTRAINT foreign key (NF) references F(NF)
);
INSERT INTO `U` VALUES (1,'A','Paris');
INSERT INTO `U` VALUES (2,'B','Paris');
INSERT INTO `U` VALUES (3,'C','Paris');
INSERT INTO `U` VALUES (4,'D','Londres');
INSERT INTO `U` VALUES (5,'E','Londres');
INSERT INTO `P` VALUES (1,'iPod','rouge',100);
INSERT INTO `P` VALUES (2,'iPod','gris',100);
INSERT INTO `P` VALUES (3,'iMac','blanc',300);
INSERT INTO `P` VALUES (4,'MacBook','blanc',200);
INSERT INTO `P` VALUES (5,'MacBook','noir',200);

INSERT INTO `F` VALUES (1,'A','Indépendant','Paris');
INSERT INTO `F` VALUES (2,'B','Grossiste','Paris');
INSERT INTO `F` VALUES (3,'C','Indépendant','Londres');
INSERT INTO `F` VALUES (4,'D','Grossiste','Paris');
INSERT INTO `F` VALUES (5,'E','Indépendant','Londres');
INSERT INTO `F` VALUES (6,'F','Grossiste','Bruxelles');
INSERT INTO `F` VALUES (7,'G','Indépendant','Liège');
INSERT INTO `F` VALUES (8,'H','Grossiste','Namur');
INSERT INTO `F` VALUES (9,'I','Indépendant','Charleroi');
INSERT INTO `F` VALUES (10,'J','Grossiste','Namur');
INSERT INTO `PUF` VALUES (1,1,1,10);
INSERT INTO `PUF` VALUES (1,1,2,15);
INSERT INTO `PUF` VALUES (5,4,3,15);
INSERT INTO `PUF` VALUES (5,5,3,15);
INSERT INTO `PUF` VALUES (5,1,3,15);
INSERT INTO `PUF` VALUES (5,2,3,1);
INSERT INTO `PUF` VALUES (5,3,3,1);
INSERT INTO `PUF` VALUES (2,1,4,1);

GRANT ALL PRIVILEGES ON myDB.* TO 'gilles'@'localhost' IDENTIFIED BY 'INFOH303';
